Package org.h2.test.db

# Class TestTriggersConstraints.ConcurrentTrigger

java.lang.Object
org.h2.tools.TriggerAdapter
org.h2.test.db.TestTriggersConstraints.ConcurrentTrigger

All Implemented Interfaces:
  `Trigger`

Enclosing class:
  `TestTriggersConstraints`

public static final class TestTriggersConstraints.ConcurrentTrigger extends TriggerAdapter

## Field Summary

### Fields inherited from class org.h2.tools.TriggerAdapter

`before, schemaName, tableName, triggerName, type`

### Fields inherited from interface org.h2.api.Trigger

`DELETE, INSERT, SELECT, UPDATE`

## Constructor Summary

Constructors
Constructor
Description
`ConcurrentTrigger()`

## Method Summary

Modifier and Type
Method
Description
`void`
`fire(Connection conn, ResultSet oldRow, ResultSet newRow)`
This method is called for each triggered action by the default fire(Connection conn, Object[] oldRow, Object[] newRow) method.

### Methods inherited from class org.h2.tools.TriggerAdapter

`fire, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.api.Trigger

`close, remove`

## Constructor Details

### ConcurrentTrigger

public ConcurrentTrigger()

## Method Details

### fire

public void fire(Connection conn, ResultSet oldRow, ResultSet newRow) throws SQLException
Description copied from class: `TriggerAdapter`
This method is called for each triggered action by the default fire(Connection conn, Object[] oldRow, Object[] newRow) method.

For "before" triggers, the new values of the new row may be changed using the ResultSet.updateX methods.

Specified by:
  `fire` in class `TriggerAdapter`
Parameters:
  `conn` - a connection to the database
  `oldRow` - the old row, or null if no old row is available (for INSERT)
  `newRow` - the new row, or null if no new row is available (for DELETE)
Throws:
  `SQLException` - if the operation must be undone